[coreboot-gerrit] Patch set updated for coreboot: board_status: Abort early if the coreboot image doesn't exist

Jonathan Neuschäfer (j.neuschaefer@gmx.net) gerrit at coreboot.org
Fri May 13 20:54:16 CEST 2016


Jonathan Neuschäfer (j.neuschaefer at gmx.net) just uploaded a new patch set to gerrit, which you can find at https://review.coreboot.org/14683

-gerrit

commit e668b02c988dfb1ba8f575e1d1c0812e8627c161
Author: Jonathan Neuschäfer <j.neuschaefer at gmx.net>
Date:   Fri May 13 05:34:14 2016 +0200

    board_status: Abort early if the coreboot image doesn't exist
    
    Change-Id: I274c990e69634ebcb9dd77470cbf1515281de312
    Signed-off-by: Jonathan Neuschäfer <j.neuschaefer at gmx.net>
---
 util/board_status/board_status.sh | 6 ++++++
 1 file changed, 6 insertions(+)

diff --git a/util/board_status/board_status.sh b/util/board_status/board_status.sh
index 74d0109..a767832 100755
--- a/util/board_status/board_status.sh
+++ b/util/board_status/board_status.sh
@@ -253,6 +253,12 @@ if [ $? -ne 0 ]; then
 	exit $EXIT_FAILURE
 fi
 
+if [ ! -e "$COREBOOT_IMAGE" ]; then
+	echo "board_status needs $COREBOOT_IMAGE, but it does not exist."
+	echo "Use \"-i IMAGE_FILE\" to select a different image, or \"--help\" for more options."
+	exit $EXIT_FAILURE
+fi
+
 # Results will be placed in a temporary location until we're ready to upload.
 # If the user does not wish to upload, results will remain in /tmp.
 tmpdir=$(mktemp -d --tmpdir coreboot_board_status.XXXXXXXX)



More information about the coreboot-gerrit mailing list